# Ogre::StaticGeometry::QueuedSubMesh Struct Reference

Structure recording a queued submesh for the build. More...

`#include <OgreStaticGeometry.h>`

List of all members.

## Public Attributes

SubMesh * | submesh
SubMeshLodGeometryLinkList * | geometryLodList
| Link to LOD list of geometry, potentially optimised.
String | materialName
Vector3 | position
Quaternion | orientation
Vector3 | scale
AxisAlignedBox | worldBounds
| Pre-transformed world AABB.

## Detailed Description

Structure recording a queued submesh for the build.

Definition at line 145 of file OgreStaticGeometry.h.

## Member Data Documentation

SubMeshLodGeometryLinkList* Ogre::StaticGeometry::QueuedSubMesh::geometryLodList

| Link to LOD list of geometry, potentially optimised. Definition at line 149 of file OgreStaticGeometry.h.

String Ogre::StaticGeometry::QueuedSubMesh::materialName

| Definition at line 150 of file OgreStaticGeometry.h.

Quaternion Ogre::StaticGeometry::QueuedSubMesh::orientation

| Definition at line 152 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedSubMesh::position

| Definition at line 151 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedSubMesh::scale

| Definition at line 153 of file OgreStaticGeometry.h.

SubMesh* Ogre::StaticGeometry::QueuedSubMesh::submesh

| Definition at line 147 of file OgreStaticGeometry.h.

AxisAlignedBox Ogre::StaticGeometry::QueuedSubMesh::worldBounds

| Pre-transformed world AABB. Definition at line 155 of file OgreStaticGeometry.h.

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:40:25 2005